function love.load()
	-- load requried libraries
	require("lib/middleclass")
	require("lib/util")

	-- load requried core
	require("core/gui")

	-- Load the "cursor"
    image = love.graphics.newImage("media/ui/cursor.png")
    love.mouse.setVisible(false)

	-- Load the background
	background = love.graphics.newImage("media/ui/backpattern.png")

	-- Set background color
	love.graphics.setBackgroundColor(8, 67, 91)

	-- Set graphics mode
	love.graphics.setMode( 800, 600, false, true )

	-- Create a GuiPanel
	panel = GuiPanel:new()
	panel.xtra = {left_top=true ,right_top=true ,left_bottom=true ,right_bottom=true}
	panel.title = "Welcome"
end

function love.update(dt)

end

function love.draw()
	-- reset color every frame
	love.graphics.setColor(255,255,255,255)

	-- Draw background
	love.graphics.drawseamless(background, nil, 0, 0, love.graphics.getWidth(), love.graphics.getHeight())

	-- DrawPanel
	panel.width = love.mouse.getX()-panel.x
	panel.height = love.mouse.getY()-panel.y
    panel:draw()

    -- Draw the "cursor" at the mouse position.
    love.graphics.draw(image, love.mouse.getX(), love.mouse.getY())
end
